// pages/welfareMall/index/index.js


import WelfareMall from '../../../api/welfareMall';
const util = require('../../../utils/util.js');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
      activityList:[],
      bannerList:[],
      navigationList:[],
      autoplay: true,
      interval: 2000,
      duration: 500,
      indicatorDots:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
      this.getIndexList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

   //跳转超值券包
  goToCoupon:function(e){
    var appId = e.currentTarget.dataset.appId;
    var path = e.currentTarget.dataset.path;
  
    if(appId && path){
      wx.navigateToMiniProgram({
        appId: appId,
        path: path,
        success(res) {
          // 打开成功
        }
      })
    }
    
    if(!appId && path){
      wx.navigateTo({
        url: path,
      })
    }
   
  },

  
  goCouponDetail:function(e){
        
    let activityId = e.currentTarget.dataset.id   
    wx.navigateTo({
      url: '/pages/welfareMall/activityInfo/activityInfo?activityId='+ activityId,
    })
  },

  async getIndexList(){
    let res =  await WelfareMall.getIndexList();

    this.setData({
      activityList:res.data.activityList,
      bannerList:res.data.bannerList,
      navigationList:res.data.navigationList
    })
 
  },

  goToBanner(e){
    var appId = e.currentTarget.dataset.appid;
    var path = e.currentTarget.dataset.path;
 
    if(appId && path){
      wx.navigateToMiniProgram({
        appId: appId,
        path: path,
        success(res) {
          // 打开成功
        }
      })
    }
    if(!appId && path){
      wx.navigateTo({
        url: path,
      })
    }

  }
})